io.milvus.response

## Class DescIndexResponseWrapper.IndexDesc

- java.lang.Object
- - io.milvus.response.DescIndexResponseWrapper.IndexDesc

Enclosing class:
  DescIndexResponseWrapper

    public static final class DescIndexResponseWrapper.IndexDesc
    extends java.lang.Object

Internal-use class to wrap response of `describeIndex` interface.

### Constructor Summary

Constructors
Constructor and Description
`IndexDesc(@NonNull java.lang.String fieldName, @NonNull java.lang.String indexName, long id)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addParam(@NonNull java.lang.String key, @NonNull java.lang.String value)`
`java.lang.String` `getExtraParam()`
`IndexType` `getIndexType()`
`MetricType` `getMetricType()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IndexDesc

    public IndexDesc(@NonNull
                     @NonNull java.lang.String fieldName,
                     @NonNull
                     @NonNull java.lang.String indexName,
                     long id)

### Method Detail

#### addParam

    public void addParam(@NonNull
                         @NonNull java.lang.String key,
                         @NonNull
                         @NonNull java.lang.String value)

#### getIndexType

    public IndexType getIndexType()

#### getMetricType

    public MetricType getMetricType()

#### getExtraParam

    public java.lang.String getExtraParam()